Bug 224028 - [maintainer-update] dns/powerdns: update to 4.1.0
Summary: [maintainer-update] dns/powerdns: update to 4.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-01 22:39 UTC by Ralf van der Enden
Modified: 2017-12-04 12:39 UTC (History)
0 users

See Also:


Attachments
PowerDNS Authoritative Server: Update to 4.1.0 (5.73 KB, patch)
2017-12-01 22:39 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2017-12-01 22:39:20 UTC
Created attachment 188458 [details]
PowerDNS Authoritative Server: Update to 4.1.0

IMPORTANT: This release removes support for recursor pass-through. This might impact a lot of people!

More information can be found here (including other improvements/fixes/changes): https://blog.powerdns.com/2017/11/30/powerdns-authoritative-server-4-1/

Changelog: https://doc.powerdns.com/authoritative/changelog/4.1.html

The poudriere buildlog can be found here: https://pkg.cainites.net/data/latest-per-pkg/powerdns/4.1.0/freebsd_11-1x64-system.log
Comment 1 Ralf van der Enden 2017-12-01 22:41:55 UTC
Removed files:
files/patch-ext_json11_json11.cpp
files/patch-ext_json11_json11.cpp

Also changed PORTVERSION to DISTVERSION
Comment 2 Kirill Ponomarev freebsd_committer 2017-12-02 08:29:47 UTC
Take.
Comment 3 commit-hook freebsd_committer 2017-12-04 12:39:17 UTC
A commit references this bug:

Author: krion
Date: Mon Dec  4 12:38:10 UTC 2017
New revision: 455511
URL: https://svnweb.freebsd.org/changeset/ports/455511

Log:
  Update to 4.1.0

  IMPORTANT: This release removes support for recursor pass-through.
  This might impact a lot of people!

  More information can be found here (including other
  improvements/fixes/changes):
  https://blog.powerdns.com/2017/11/30/powerdns-authoritative-server-4-1/

  Changelog: https://doc.powerdns.com/authoritative/changelog/4.1.html

  PR:		224028
  Submitted by:	maintainer
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13339

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
  head/dns/powerdns/files/patch-ext_json11_json11.cpp
  head/dns/powerdns/files/patch-pdns_botan110signers.cc
  head/dns/powerdns/pkg-plist